from genotypes import Genotype
from visualize import plot
geno_script = \
    "Genotype(normal=[('skip_connect', 0), ('skip_connect', 1), ('skip_connect', 0), ('skip_connect', 1), ('skip_connect', 0), ('skip_connect', 1), ('skip_connect', 1), ('skip_connect', 0)], normal_concat=range(2, 6), reduce=[('skip_connect', 0), ('skip_connect', 1), ('skip_connect', 1), ('skip_connect', 2), ('skip_connect', 1), ('skip_connect', 3), ('skip_connect', 1), ('skip_connect', 0)], reduce_concat=range(2, 6))"
geno_script = geno_script.replace('skip_connect', 'sep_conv_3x3')
genotype = eval(geno_script)
plot(genotype.normal, "normal")
plot(genotype.reduce, "reduction")
